%define name rt61-firmware
%define rtname RT61_Firmware
%define version 1.2


Summary: Firmware for the RT61 chip
Name: %{name}
Version: %{version}
Release: %mkrel 5
Source0: http://www.ralinktech.com/ralink/data/%{rtname}_V%{version}.tar.bz2
License: Proprietary
Group: System/Kernel and hardware
Url: http://rt2x00.serialmonkey.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware files for the RT61 chip, which is
used in WLAN PCMCIA cards.

%prep
%setup -q -n %{rtname}_V%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 rt*.bin %{buildroot}/lib/firmware

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/lib/firmware/rt*.bin


%changelog
* Thu Jan 18 2024 tex - 1.2-5pclos2024
- update firmware files

* Thu Feb 28 2019 tex - 1.2-4pclos2019
- rebuild against updates

* Fri Jul 07 2017 bb2 <bb2> - 1.2-3pclos2017
- rebuilt
